package com.meeting.demo.view.sdkconfig.menu;

import com.meeting.demo.delegate.DelegateHolder;
import com.meeting.demo.model.MenuGroup;

import java.util.List;

public class AudienceMenuConfigFragment extends MenuConfigFragment {

    @Override
    protected void initData() {
        List<MenuGroup> audienceMenuFeatures = DelegateHolder.getHwmUiDelegate().getAudienceMenuFeatures();
        for (MenuGroup audienceMenuFeature : audienceMenuFeatures) {
            addGroupData(audienceMenuFeature.getName(), audienceMenuFeature.getTag(), audienceMenuFeature.getMenus());
        }
    }

    @Override
    public String getName() {
        return "观众页面菜单";
    }

    @Override
    protected String getMenuHandleName() {
        return DelegateHolder.getHwmUiDelegate().getAudienceMenuHandle();
    }
}
